package com.fjhx.service.water;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.water.WaterTag;
import com.fjhx.params.water.WaterTagVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-21
 */
public interface WaterTagService extends StorageBaseService<WaterTag> {

    Page<Map<String, Object>> getPage(Condition condition);

    void add(WaterTagVo waterTagVo);

    void uploadTag(MultipartFile file, Long waterBatchId);

    void printer(List<Long> tagIdList);

    void shipment(Long waterBatchId);

    void bindingRfid(Long id, String rfidCode);

    Map<String, Object> getDetailsByQrCode(String qrCode);

    Map<String, Object> getDetailsByRfid(String rfidCode);

    void editInHouse(Enum<?> typeEnum, List<WaterTag> waterTagList, Long stockHouseId);

    List<WaterTag> getInHouseTagList(WaterTag waterTag);

}
